Skip to main content
`Ctrl`+`K`

# PFType

Type of PETSc mathematical function, a string name

## Synopsis

    typedef const char *PFType;
    #define PFCONSTANT "constant"
    #define PFMAT      "mat"
    #define PFSTRING   "string"
    #define PFQUICK    "quick"
    #define PFIDENTITY "identity"
    #define PFMATLAB   "matlab"

## See Also

`PFSetType()`, `PF`

## Level

beginner

## Location

include/petscpf.h

Index of all PF routines
Table of Contents for all manual pages
Index of all manual pages